Bug 1726139 - Incremental update should consider module_defaults and copy them if needed
Summary: Incremental update should consider module_defaults and copy them if needed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks: 1668052
TreeView+ depends on / blocked
 
Reported: 2019-07-02 08:15 UTC by Tanya Tereshchenko
Modified: 2020-10-05 14:08 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 5063 High CLOSED - CURRENTRELEASE Module defaults need to be considered and copied automatically during recursive dependency solving 2019-09-25 21:01:57 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:25:03 UTC

Description Tanya Tereshchenko 2019-07-02 08:15:44 UTC
If a module stream is marked as a module default, then nonmodular RPMs are allowed to depend on it.

Not only are they allowed to depend on it, but any version provided by a default module is to be preferred over a nonmodular package if one exists. Even if that nonmodular package has a higher version.

That is to say that if a repo contains a nonmodular RPM that provides foo version 1.8 and also a default module whose artifacts provide foo version 1.5, DNF and other clients will always pick the module.

Pulp needs to make sure the depsolver does 2 things:

- During depsolving, all default modules must be considered and preferred if available
- If a default module is ever copied, Pulp must also copy it's module_defaults metadata

The second point is critical. If we copy the module without copying the module-default metadata, clients will not understand that it is special, and they will not be able to use them to satisfy their dependencies (the repo will be effectively broken), and the packages they provide will not be able to be installed normally through DNF as intended.

Comment 3 pulp-infra@redhat.com 2019-07-02 08:32:16 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2019-07-02 08:32:17 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 6 pulp-infra@redhat.com 2019-09-11 14:03:13 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 7 pulp-infra@redhat.com 2019-09-11 14:33:11 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 8 pulp-infra@redhat.com 2019-09-25 21:01:58 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 12 errata-xmlrpc 2020-04-14 13:24:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.